VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: binutils > need help  (Read 3181 times)

Jeshua

  • Member
  • *
  • Posts: 13
binutils > need help
« on: March 01, 2008, 01:24:03 pm »

Hello everybody,

trying to install binutils I get:

Vector:/~/Desktop/binutils-2.18
jeshua:$ sudo ./configure
checking build system type... i686-pc-linux-gnuoldld
checking host system type... i686-pc-linux-gnuoldld
checking target system type... i686-pc-linux-gnuoldld
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
vector:/~/Desktop/binutils-2.18

any suggestions ???

Thanks in advance,
Jeshua

P.S.
Where do I find the 'make' and 'make install' commands for VL
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: binutils > need help
« Reply #1 on: March 01, 2008, 01:37:25 pm »

hello jeshua,
What version of VL are you using.
you should have binutils installed "ls /var/log/packages|grep bin" should tell if it is or not.
the error your getting usually comes from using the wrong CFLAGS when compiling.

HTH,
Uelsk8s
Logged

Jeshua

  • Member
  • *
  • Posts: 13
Re: binutils > need help
« Reply #2 on: March 02, 2008, 02:13:39 am »

I have VL 5.9 Standard Gold
I tried to install kppp from klik.atekon.de using firefox but I got the msg:
"Please install ar in order to use klik"

even binutils seems to be installed . . . !?

vector://home/jeshua/Desktop
root:# ls /var/log/packages|grep bin
bin-11.1-i486-1


« Last Edit: March 02, 2008, 02:18:30 am by Jeshua »
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: binutils > need help
« Reply #3 on: March 02, 2008, 05:40:09 am »

I dont think you have binutils installed there.
Did you install the "dev bulk" when you installed VL?

you should have seen this output
Quote
uel:$ ls /var/log/packages/|grep bin
bin-11.1-i486-1
bin86-0.16.15-i486-1
binutils-2.17.50.0.17-i486-1
Logged

Jeshua

  • Member
  • *
  • Posts: 13
Re: binutils > need help
« Reply #4 on: March 04, 2008, 12:31:37 pm »

I have no idea if 'dev bulk' has been installed from Live CD
And again, there is no 'make' and 'make install' command to find on my system !???

So what do you think shall I do ?  :-/



« Last Edit: March 04, 2008, 12:40:05 pm by Jeshua »
Logged

uelsk8s

  • Administrator
  • Vectorian
  • *****
  • Posts: 2504
Re: binutils > need help
« Reply #5 on: March 04, 2008, 12:43:56 pm »

try
slapt-get --update
then
slapt-get --install gcc gcc-c++ binutils bin86
Logged

Jeshua

  • Member
  • *
  • Posts: 13
Re: binutils > need help
« Reply #6 on: March 05, 2008, 01:22:54 pm »

Hello "uelsk8s"*

binutils are now finally installed :-) (with slapt-get, even I got "No such package: gcc-c++)
klik download and installation of kppp OK :-)
./configure now runs fine but 'make' and 'make install' commands are still needed to proceed installations !?

further suggestions ? :-/

Thanks a lot,
Jeshua

*would be nice to know your name admin :-/

« Last Edit: March 05, 2008, 01:32:51 pm by Jeshua »
Logged

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2318
Re: binutils > need help
« Reply #7 on: March 05, 2008, 01:45:59 pm »

Hi Jeshua, make has its own package. You can find everything related to the dev tools here:
http://vectorlinux.osuosl.org/veclinux-5.9/packages/dev/

The c++ compiler is called gcc-g++, I agree the name is unnecessarily complicated :D. You can find it here: http://vectorlinux.osuosl.org/veclinux-5.9/packages/dev/gcc-g++-4.1.2-i486-1.tlz
And finally the make package: http://vectorlinux.osuosl.org/veclinux-5.9/packages/dev/make-3.81-i486-1.tlz

HTH, Rodrigo
Logged
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

Jeshua

  • Member
  • *
  • Posts: 13
Re: binutils > need help
« Reply #8 on: March 07, 2008, 02:05:47 pm »

Shalom Rodrigo,

Todà rabà (muchas gracias)  :-)))))))))))))))))))))))))))

Jeshua

« Last Edit: March 07, 2008, 02:07:41 pm by Jeshua »
Logged

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2318
Re: binutils > need help
« Reply #9 on: March 07, 2008, 04:28:25 pm »

De nada Jeshua, any time.
Logged
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!